%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')
Buildroot: %{_builddir}/%{name}-root
Name: unicore-gateway6
Obsoletes: unicore-gateway
Provides: unicore-gateway
Version: 5.0.0
Release: 0.sl6
Summary: UNICORE Gateway
License: BSD
Distribution: RedHat
Group: System Environment/Daemons
URL: http://www.unicore.eu
Requires: jre-1.6.0-openjdk
BuildArch: noarch
Packager: Björn Hagemeier unicore-support@lists.sourceforge.net
BuildRequires: subversion  
BuildRequires: maven  
BuildRequires: java-1.6.0-openjdk-devel 
Source0 : unicore-gateway6-5.0.0-0.src.tar.gz

%description
UNICORE (Uniform Interface to Computing Resources) offers a
ready-to-run Grid system including client and server software.
UNICORE makes distributed computing and data resources available
in a seamless and secure way in intranets and the internet.

This package contains the UNICORE Gateway, the single entry point 
to a grid site.


%changelog
* Sun Nov 13 2011 Krzysztof Benedyczak <unicore-support@lists.sourceforge.net>
-changed name to unicore-gateway6
* Fri Sep 30 2011 Bernd Schuller <unicore-support@lists.sourceforge.net> 
-updates for v6.4.2, introduce startup.properties file
* Sat Jun 18 2011 Krzysztof Benedyczak <unicore-support@lists.sourceforge.net> 
-File perms fixes
* Sun Feb 20 2011 Krzysztof Benedyczak <unicore-support@lists.sourceforge.net> 
-Packaging fixes
* Wed Oct 06 2010 Andre Giesler <unicore-support@lists.sourceforge.net> 
-Initial rpm package

%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
 
mvn -q package -Ppackman -Dmaven.test.skip -Dmaven.repo.local=`pwd`/maven-repo -Dpackage.version=5.0.0 -Dpackage.release=0 -Ddistribution=RedHat -Dpackage.config.dir=src/main/package -Dpackage.type=prep.src.rpm -DindexJars -B; 
cp -r target/RedHat/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT


%files
%defattr(640, unicore, unicore, 755)

#
# Config files and bash-completion
#
%dir %attr(750 unicore unicore) "/etc/unicore/gateway/"
%config(noreplace) %attr(640 unicore unicore) "/etc/unicore/gateway/startup.properties"
%config(noreplace) %attr(640 unicore unicore) "/etc/unicore/gateway/connections.properties"
%config(noreplace) %attr(640 unicore unicore) "/etc/unicore/gateway/security.properties"
%config(noreplace) %attr(640 unicore unicore) "/etc/unicore/gateway/gateway.properties"
%config(noreplace) %attr(640 unicore unicore) "/etc/unicore/gateway/logging.properties"

%attr(755 root root) "/etc/rc.d/init.d/unicore-gateway"
%attr(755 root root) "/usr/sbin/unicore-gateway-start.sh"
%attr(755 root root) "/usr/sbin/unicore-gateway-stop.sh"


#
# Documentation and samples
#
%docdir %attr(755 root root) "/usr/share/doc/unicore/gateway/"
%attr(644 root root) "/usr/share/doc/unicore/gateway/*"

#
# jar files
#
%dir %attr(755 root root) "/usr/share/unicore/gateway/lib"
%attr(644 root root) "/usr/share/unicore/gateway/lib/*.jar"
#%dir %attr(755 root root) "/usr/share/unicore/gateway/lib/endorsed"
#%attr(644 root root) "/usr/share/unicore/gateway/lib/endorsed/*.jar"


#
# logs
#
%dir %attr(755 unicore unicore) "/var/log/unicore"
%dir %attr(755 unicore unicore) "/var/log/unicore/gateway"
%dir %attr(755 unicore unicore) "/var/run/unicore"


#
#unicore-configurator
#
%dir %attr(755 root root) "/usr/share/unicore/configurator"
%dir %attr(755 root root) "/usr/share/unicore/configurator/updater.d"
%attr(644 root root) "/usr/share/unicore/configurator/updater.d/gateway.py"


%pre
/usr/sbin/groupadd -r unicore 2>/dev/null || :
/usr/sbin/useradd -c "UNICORE" -g unicore \
    -s /sbin/nologin -r -d /usr/share/unicore unicore 2>/dev/null || :
    
%post
/sbin/chkconfig --add unicore-gateway

%preun
if [ "$1" = "0" ]; then
    /etc/init.d/unicore-gateway stop >/dev/null 2>&1
    /sbin/chkconfig --del unicore-gateway
fi
